@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700&display=swap');

* {
  -webkit-font-smoothing: antialiased;
}

body {
	font-family: 'Open Sans', sans-serif;
	font-size: 14px;
}
body.overflow {
	overflow: hidden;
}

a, a:hover, a:focus {
	text-decoration: none;
	outline: none;
}
a.read-more {
	display: flex;
	font-size: 18px;
	font-weight: 600;
	text-transform: uppercase;
	color: #013567;
	letter-spacing: 1px;
	position: relative;
	padding-right: 60px;
	width: fit-content;
	transition: padding-right 0.2s ease-in-out;
	
}
a.read-more span {
	transition: transform 1s ease-in-out;
	transform: rotateX(0deg);
}
.arrow-icon:before {
	content: '';
	width: 35px;
	height: 4px;
	background: #013567;
	position: absolute;
	top: calc(50% - 2px);
	right: 4px;
}
.arrow-icon:after {
	content: '';
	width: 0; 
	height: 0; 
	border-top: 10px solid transparent;
	border-bottom: 10px solid transparent;
	border-left: 20px solid #013567;
	position: absolute;
	top: calc(50% - 10px);
	right: 0;
}
a.read-more:hover {
	padding-right: 120px;
}
a.read-more:hover span {
	transform: rotateX(360deg);
}
strong {
	font-weight: 600;
}

/* FLIP BUTTON */
.flip-button {
	width: fit-content;
	min-width: 170px;
	height: 45px;
	transition: all 250ms ease;
	transform-style: preserve-3d;
	cursor: pointer;
	pointer-events: none;
}
.flip-button .default-state,
.flip-button .active-state {
	height: 45px;
}
.flip-button .default-state {
	transform: translateZ(22px);
}
.flip-button .active-state {
	transform: rotateX(-90deg) translateZ(-22px);
}
.flip-button.hovered {
	transform: rotateX(89deg);
}
.flip-button .default-state,
.flip-button .active-state {
	background: #013567;
	font-size: 16px;
	text-transform: uppercase;
	color: #fff;
	line-height: 45px;
	transition: background 0.2s ease;
}
.flip-button .default-state {
	font-size: 26px;
    letter-spacing: 2px;
    text-align: right;
    padding: 0 20px;
}
.flip-button.hovered .default-state {
	background: #013567;
}
.flip-button .active-state {
	background: #fff;
	border: 2px solid #013567;
	color: #013567;
}
.flip-button .active-state .arrow-icon {
	margin-right: 100%;
    display: block;
    position: relative;
    height: 100%;
	overflow: hidden;
	transition: all 0.2s ease-in-out;
}
.flip-button.hovered .active-state .arrow-icon {
	margin-right: 10px;
}

/* SECTION */
section {
	padding: 100px 50px;
}
section h2 {
	font-size: 38px;
	text-transform: uppercase;
	margin: 0;
	margin-bottom: 60px;
	letter-spacing: 2px;
}
section h2 span {
	color: #fece06;
}
section .content {
	display: flex;
	width: 100%;
	max-width: 1140px;
	margin: 0 auto;
}

/* SEARCH */
.modal.search {
	display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.9);
	opacity: 0;
	pointer-events: none;
	transition: all 0.2s ease-in-out;
}
.modal.search.opened {
	opacity: 1;
	pointer-events: all;
}
.modal.search svg {
	position: absolute;
    top: 40px;
    right: 40px;
    cursor: pointer;
    transform: scale(1);
    transition: all 0.2s ease-in-out;
}
.modal.search svg:hover {
	transform: scale(1.2);
}
.modal.search > div {
	width: 60%;
}
.modal.search label {
	font-size: 14px;
    color: #fff;
    margin-bottom: 5px;
    letter-spacing: 1px;
}
.modal.search input {
	width: 100%;
	height: 60px;
    background: rgba(0,0,0,0.6);
    border: 2px solid #fff;
    color: #fff;
    padding: 0 20px;
    font-size: 20px;
    letter-spacing: 1px;
    outline: none;
}

/* NAV */
nav {
	position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0 80px;
    z-index: 20;
    transition: all 0.2s ease-in-out;
}
nav .logo {
    width: 200px;
    z-index: 10;
    margin-top: 0;
    transition: all 0.5s ease-in-out;
}
nav ul {
	height: fit-content;
	padding: 0;
	margin: 0;
	margin-top: 60px;
	display: flex;
	list-style-type: none;
	transition: all 0.5s ease-in-out;
}
nav ul li {
	margin-left: 40px;
}
nav ul li a {
	color: #fff;
	text-transform: uppercase;
	font-size: 20px;
    letter-spacing: 2px;
    transition: all 0.2s ease-in-out;
}
nav ul li a svg path {
	transition: all 0.2s ease-in-out;
}
nav ul li:hover a {
	color: #fece06;
}
nav ul li:hover a svg path {
	fill: #fece06 !important;
}
nav ul li.home svg {
	height: 35px;
    width: auto;
    margin-top: -5px;
}
nav ul li.search svg {
	margin-top: -4px;
}
nav ul li.expand {
	position: relative;
}
nav ul li.expand ul {
	position: absolute;
	top: 0;
	right: -25px;
	display: block;
	opacity: 0;
	margin-top: 0;
    padding-top: 60px;
    min-width: 232px;
    pointer-events: none;
    z-index: -1;
    transition: all 0.2s ease-in-out;
}
nav ul li.expand:hover ul {
	pointer-events: all;
	opacity: 1;
}
nav ul li.expand ul li {
	position: relative;
	margin-left: 0;
	text-align: right;
	background: rgba(0,0,0,0.8);
    padding: 3px 25px;
    padding-bottom: 5px;
}
nav ul li.expand ul li:first-child {
	padding-top: 22px;
}
nav ul li.expand ul li:first-child:before {
	content: '';
	position: absolute;
    top: -20px;
    right: 25px;
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-bottom: 20px solid rgba(0,0,0,0.8);
}
nav ul li.expand ul li:last-child {
	padding-bottom: 22px;
}
nav ul li.expand ul li a {
	text-transform: none;
	white-space: nowrap;
    font-size: 16px;
	color: #fff;
}
nav ul li.expand ul li a:hover {
	color: #fece06;
	font-weight: 600;
}
nav ul li.search {
	cursor: pointer;
}
nav ul li.search a {
	pointer-events: none;
}
nav.nav--small {
	background: #013567;
}
nav.nav--small .logo {
	margin-top: -135px;
}
nav.nav--small ul {
	margin-top: 18px;
}
nav.nav--small ul li.expand ul li a {
	color: #fff;
}
nav.nav--small ul li.expand ul li a:hover {
	color: #fece06;
}
.page-template-movie nav,
.page-template-movie nav ul,
.page-template-movie nav .logo,
.page-template-movie nav a,
.page-template-default nav,
.page-template-default nav ul,
.page-template-default nav .logo,
.page-template-default nav a {
	transition: none;
}

@media screen and (max-width: 800px) {
	nav ul li.expand ul li:first-child:before {
		display: none;
	}
	nav ul li.expand ul {
		display: none;
	}
	nav ul li.expand.expanded ul {
		display: block;
		left: 0;
		position: relative;
		opacity: 1;
		pointer-events: all;
		z-index: 1;
	}
	nav ul li.expand.expanded ul li {
		text-align: left;		
	}

}


/* HEADER */
header {
	position: relative;
	display: flex;
    align-items: center;
    justify-content: center;
	width: 100%;
	height: 100vh;
	overflow: hidden;
}
header video {
	position: absolute;
    top: 50%;
    left: 50%;
    width: auto;
    height: auto;
    min-width: 100%;
    min-height: 100%;
    transform: translateX(-50%) translateY(-50%);
}
header .overlay {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 40%;
	background: linear-gradient(to bottom, #000000 0%,transparent 100%);
    z-index: 5;
    opacity: 1;
}
header .overlay.overlay--rotate {
	transform: rotate(180deg);
	top: unset;
	bottom: 0;
}
header .slogan {
	position: relative;
    width: 600px;
    max-width: 100%;
    z-index: 10;
}
header .arrow-icon {
	position: absolute;
    left: calc(50% - 20px);
    bottom: 80px;
    width: 40px;
    height: 40px;
    transform: rotate(90deg);
	/* animation: bounce 0.5s infinite alternate; */
	display: none;
    z-index: 10;
}
header .arrow-icon:before {
	background: #fece06;
}
header .arrow-icon:after {
	border-left-color: #fece06;
}
@keyframes bounce {
  from {
    transform: rotate(90deg) translateX(0px);
  }
  to {
    transform: rotate(90deg) translateX(-15px);
  }
}

/* ABOUT */
section.about-us .content {
	flex-direction: column;
	color: #013567;
}
.about-us p {
	font-size: 32px;
    font-weight: 100;
	max-width: 80%;
	margin-bottom: 80px;
}
@media screen and (max-width: 800px) {
	section.about-us p {
		max-width: 100%;
	}
	section {
		padding: 40px 20px;
	}
	section.services {
		padding: 40px 0;
	}
	section.team .content {
		padding: 40px;
	}
	section.contact .address div.phone {
		font-size: 30px;
	}
	section.contact div.copyrights {
		height: auto;
	}
	.socials  {
		margin-top:20px;
	}
	header .slogan {
		max-width: 70%;
	}
}
/* SERVICES */
section.services .content {
	flex-direction: column;
}
section.services .content .desc {
	background: #013567;
	color: #fff;
	padding: 60px;
}
section.services .content .desc p {
	font-size: 24px;
    max-width: 60%;
}
section.services .services-menu {
	background: #fece06;
	padding: 0 40px;
}
section.services .services-menu ul {
	display: flex;
	padding: 0;
	margin: 0;
	list-style-type: none;
}
section.services .services-menu ul li {
	display: flex;
    align-items: center;
	margin-right: 40px;
	padding: 15px 0;
	cursor: pointer;
	font-size: 18px;
	box-shadow: inset 0 0 0 0 #013567;
	letter-spacing: 1px;
	transition: all 0.2s ease-in-out;
	opacity: 0.5;
	color: #013567;
}
section.services .services-menu ul li span {
	display: block;
	transform: scale(0.8);
	transition: all 0.2s ease-in-out;
}
section.services .services-menu ul li:hover,
section.services .services-menu ul li.active {
	box-shadow: inset 0 -6px 0 0 #013567;
	opacity: 1;
}
section.services .services-menu ul li:hover span,
section.services .services-menu ul li.active span {
	transform: scale(1);
}
section.services .services-menu ul li:last-child {
	margin-right: 0;
}
section.services .services-desc {
	border: 2px solid #fece06;
	border-top: 0;
	padding: 40px;
}
section.services .services-desc .services-desc__item {
	display: none;
}
section.services .services-desc .services-desc__item:first-child {
	display: block;
}
section.services .services-desc .services-desc__item p {
	color: #013567;
	font-size: 18px;
    margin-bottom: 40px;
    line-height: 28px;
}

/* TEAM */
section.team {
	background: #333;
	color: #fff;
}
section.team .content {
	justify-content: space-between;
	align-items: center;
}
section.team .content .disc {
	padding-right: 80px;
}
section.team .content .disc p {
	font-size: 24px;
	max-width: 65%;
}
section.team a {
	display: flex;
	flex-direction: column;
	align-items: center;
	color: #fff;
}
section.team a .we-are-hiring {
	position: relative;
	font-size: 35px;
	padding-bottom: 5px;
	font-weight: 100;
	margin-top: 10px;
	letter-spacing: 1px;
}
section.team a .we-are-hiring.arrow-icon:before {
	background: #fff;
}
section.team a .we-are-hiring.arrow-icon:after {
	border-left-color: #fff;
}
section.team .flip-button.join {
	height: 120px;
	font-weight: 600;
}
section.team .flip-button.join .default-state,
section.team .flip-button.join .active-state {
	line-height: 120px;
	height: 120px;
}
section.team .flip-button.join .default-state {
	transform: translateZ(58px);
	font-size: 40px;
    padding: 0 50px;
    white-space: nowrap;
}
section.team .flip-button.join .active-state {
	background: transparent;
	transform: rotateX(-90deg) translateZ(-58px);
	border: 2px solid #fece06;
    color: #fece06;
}
section.team .flip-button.join.hovered .active-state .arrow-icon {
    margin-right: 30px;
}
section.team .flip-button.join.hovered .active-state .arrow-icon:before {
	background: #fece06;
}
section.team .flip-button.join.hovered .active-state .arrow-icon:after {
	border-left: 20px solid #fece06;
}

/* JAKUB */
section.jakub {
	padding: 0 50px;
}
section.jakub .content {
	
}
section.jakub .content .desc {
	display: flex;
	flex-direction: column;
	width: 60%;
	padding: 100px 0;
	padding-right: 100px;
	color: #013567;
}
section.jakub .content .desc p {
	font-size: 26px;
    line-height: 38px;
    margin-bottom: 60px;
    font-weight: 100;
}
section.jakub .content .desc .desc-footer {
	display: flex;
	align-items: center;
	justify-content: space-between;
}
section.jakub .content .desc .desc-footer .socials {
	display: flex;
}
section.jakub .content .desc .desc-footer .socials a svg {
	height: 40px;
	width: auto;
}
section.jakub .content .desc .desc-footer .socials a svg path {
	transition: all 0.2s ease-in-out;
	fill: #013567;
}
section.jakub .content .desc .desc-footer .socials a:hover svg path {
	fill: #fece06;
}
section.jakub .content .desc .desc-footer .socials a {
	margin-left: 30px;
}
section.jakub .content .desc .desc-footer .socials a.linkedin {
	margin-top: -2px;
}
section.jakub .content > img {
	display: block;
	width: 40%;
	height: 710px;
}

/* CONTACT */
section.contact {
	background: #013567;
	padding-bottom: 25px;
}
section.contact .address {
	display: flex;
    flex-direction: column;
	width: 50%;
	background: #fece06;
	padding: 60px;
	color: #013567;
}
section.contact .address h2 {
	margin-bottom: 10px;
}
section.contact .address h2 span {
	color: #fff;
}
section.contact .address svg {
	height: 30px;
	margin-left: auto;
	margin-bottom: 60px;
}
section.contact .address svg path,
section.contact .address svg polygon {
	fill: #013567 !important;
}
section.contact .address p {
	font-size: 20px;
	margin-bottom: 30px;
}
section.contact .address .phone {
	font-weight: 700;
	font-size: 60px;
	letter-spacing: 2px;
	padding: 10px 0;
	margin-top: auto;
}
section.contact .address .fax {
	font-size: 20px;
	letter-spacing: 1px;
}
section.contact .form {
	width: 50%;
	background: #fff;
	padding: 60px;
}
section.contact .form .input-row {
	position: relative;
	display: flex;
    flex-direction: column;
    margin-bottom: 25px;
}
section.contact .form .input-row:last-child {
	align-items: flex-end;
	margin-bottom: 0;
}
section.contact .form .input-row label {
	font-size: 14px;
	color: #013567;
	margin-bottom: 5px;
	letter-spacing: 1px;
}
section.contact .form .input-row label + br {
	display: none;
}
section.contact .form .input-row input,
section.contact .form .input-row textarea {
	border: 2px solid #013567;
	height: 45px;
    padding: 0 20px;
    color: #013567;
    font-size: 16px;
    outline: none;
    width: 100%;
}
section.contact .form .input-row textarea {
	height: 140px;
	padding: 15px 20px;
	display: block;
}
span.wpcf7-not-valid-tip {
	position: absolute;
}
section.contact .form .input-row p {
	display: none;
}
section.contact .form .input-row .required,
section.contact .form .input-row .required {
	position: absolute;
	bottom: 0;
	right: 0;
	display: block;
	width: 4px;
	height: 100%;
	background: #013567;
	transition: all 0.2s ease-in-out;
}
section.contact .form .input-row .focus ~ .required,
section.contact .form .input-row .focus ~ .required {
	height: 0;
	overflow: hidden;
}
section.contact .form .input-row .required span,
section.contact .form .input-row .required span {
	position: absolute;
    top: 2px;
    right: 0;
    padding-right: 10px;
    color: #013567;
    font-size: 12px;
}
section.contact .form .input-row input[type="submit"] {
	width: fit-content;
	background: #013567;
	color: #fff;
	text-transform: uppercase;
	font-size: 26px;
    letter-spacing: 2px;
    padding-left: 70px;
}
section.contact .copyrights {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-top: 75px;
    height: 20px;
    color: #fff;
    font-weight: 600;
}
section.contact .copyrights .socials a {
	margin-left: 15px;
}
section.contact .copyrights .socials .linkedin svg {
	height: 22px;
}
section.contact .copyrights .socials a svg path,
section.contact .copyrights .socials a svg circle {
	fill: #fff;
	transition: all 0.2s ease-in-out;
}
section.contact .copyrights .socials a:hover svg path,
section.contact .copyrights .socials a:hover svg circle {
	fill: #fece06;
}

/* AWARDS */
section.awards {
	padding: 50px;
}
section.awards .content {
	display: block;
	text-align: center;
}
section.awards .content img {
	margin-right: 80px;
	filter: grayscale(1);
	transition: all 0.2s ease-in-out;
}
section.awards .content img:hover {
	filter: grayscale(0);
}

/* MAP */
section.map {
	padding: 0;
}
section.map #map {
	height: 500px;
} 
section.map iframe {
	width: 100%;
}


.close {
	display: none;
}
.menu {
	display: none;
}

.video-modal {
	position: fixed;
	top: 0;
	left: 0;
	display: none;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.9);
	z-index: 10;
}
.video-modal.opened {
	display: flex;
}
.video-modal iframe {
	width: 1024px;
	height: 768px;
	max-width: 90%;
	max-height: 90%;
}
.play-btn {
	position: absolute;
    font-size: 20px;
    color: #fff;
    right: 50px;
    bottom: 50px;
    z-index: 9;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.play-btn img {
	height: 30px;
    margin-left: 10px;
}

@media screen and (max-width: 800px) {
	section .content {
		flex-direction: column;
	}
	section .content > div {
		width: 100% !important;
	}
	nav {
		padding: 10px 35px;
		display: block;
	}
	nav ul li {
		padding: 20px 0;
		margin: 0 -10px;
	}
	/* nav ul {
		display: none;
	} */
	nav ul {
		display: flex;
		flex-direction: column;
	}
	nav ul li.expand ul {
		padding-top: 0;
		/* position: relative; */
	}
	nav ul li.expand ul li {
		background: none;
		text-align: center;
		padding: 3px 5px;    	
	}
	nav ul li.expand ul li a {
		font-size: 20px;
	}
	section.about-us p {
		font-size: 24px;
	}
	section.services .content .desc p {
		max-width: 100%;
	}
	section.services .services-menu {
		padding: 0;
	}
	section.services .services-menu ul {
		flex-direction: column;
	}
	section.services .services-menu ul li {
		margin-right: 0;
		padding: 15px 60px;
		font-size: 24px;
	}
	section.services .services-menu ul li span {
		transform: scale(1);
	}
	section.services .services-desc .services-desc__item p {
		font-size: 24px;
	}
	section.team .content .disc {
		padding-right: 0;
	}
	section.team .content .disc p {
		max-width: 100%;
		margin-bottom: 80px;
	}
	section.jakub .content .desc {
		padding-right: 0;
	}
	section.jakub .content > img {
		width: calc(100% + 100px);
		height: auto;
    	margin-left: -50px;
	}
	section.contact .address,
	section.contact .form {
		padding: 20px;
	}
	section.contact .copyrights {
		font-size: 10px;
	}
	section.awards .content {
		display: flex;
		align-items: center;
	}
	section.awards .content img {
		margin-right: 0;
		margin-bottom: 40px;
	}
	section.awards .content img:last-child {
		margin-bottom: 0;
	}
	nav {
		background: #013567;		
	}
	nav ul {
		display: none;
	}
	nav .close {
		display: none;
	}
	nav.opened {
		height: 100%;
	}
	nav.opened .close {
		display: block;
	}
	nav.opened ul {
		display: block;
	}
	nav.opened .menu {
		/* display: none; */
	}
	nav .menu {
		display: block;
		border: 0;
		background: none;
		position: absolute;
		right: 20px;
		top: 10px;
		width: 60px;
		height: 60px;
	}
	nav .menu svg {
		width: 100%;
    	height: 56px;
    	fill: #fff;
	}
	nav .logo {
		margin-top: -145px !important;
		margin-left: -25px;
	}
	
	.close {
		position: absolute;
		top: 40px;
		right: 40px;
	}

}
.hamburger-inner, .hamburger-inner:after, .hamburger-inner:before {
	background-color: #fff !important;
}
.page-template > section:nth-child(1) {
	padding-top: 150px;
}
.page-template-movie header {
	height: 50vh;
}
.page-template-default section p {
	font-size: 24px;
	font-weight: 100;
	max-width: 80%;
	margin-bottom: 80px;
}
.page-template-default section ul {
	margin-bottom: 70px;
	column-count: 3;
	column-gap: 40px;
	padding: 0;
}
.page-template-default section ul li {
	font-size: 20px;
	font-weight: 100;
	max-width: 80%;
	break-inside: avoid-column;
	margin-bottom: 10px;
	list-style-type: none;
	display: flex;
}
.page-template-default section ul li:before {
	content: '';
    min-width: 20px;
    height: 2px;
    background: #013567;
    margin-top: 17px;
    margin-right: 18px;
}
.page-template-default section .wp-block-column ul {
	column-count: 1;
} 

.kodzilla {
	background: #2f2582;
	padding: 5px 50px;
	color: #e1191f;
}
.kodzilla .content {
	justify-content: space-between;
    align-items: center;
}
.kodzilla span {
	font-size: 12px;
}
.kodzilla img {
    position: relative;
    top: -3px;
}






